<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>LibGE: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="cropped-BDS-Logo-1.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">LibGE
   &#160;<span id="projectnumber">0.31.0</span>
   </div>
   <div id="projectbrief">A c++ GE implementation</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">Mapper Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="class_mapper.html">Mapper</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="class_mapper.html#a058104ce77afefce7ff10cf98baea52b">genotype</a></td><td class="entry"><a class="el" href="class_mapper.html">Mapper</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_mapper.html#a19f7e1f27376099e571e0923305257f1">genotype2Phenotype</a>()=0</td><td class="entry"><a class="el" href="class_mapper.html">Mapper</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">pure virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_mapper.html#a2affa751192b301f462b002e9a0b2fb4">getGenotype</a>() const</td><td class="entry"><a class="el" href="class_mapper.html">Mapper</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_mapper.html#adbb17f62e20ff64521c5419c31052c3f">getPhenotype</a>() const</td><td class="entry"><a class="el" href="class_mapper.html">Mapper</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_mapper.html#a15fd8e5e4f913d24bb3a2c1371d6426c">Mapper</a>()</td><td class="entry"><a class="el" href="class_mapper.html">Mapper</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_mapper.html#af926e742d889da4b514c2c860ac75837">Mapper</a>(const Genotype &amp;)</td><td class="entry"><a class="el" href="class_mapper.html">Mapper</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_mapper.html#a54a01dad7989624701227b4cb01561b6">Mapper</a>(const Phenotype &amp;)</td><td class="entry"><a class="el" href="class_mapper.html">Mapper</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_mapper.html#a79a375c7f925bc8db2b6a0a0acb04cf9">Mapper</a>(const Mapper &amp;)</td><td class="entry"><a class="el" href="class_mapper.html">Mapper</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_mapper.html#adc4c81ef77cc70cda9a1881637bf3bd1">phenotype</a></td><td class="entry"><a class="el" href="class_mapper.html">Mapper</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_mapper.html#a3409ce9a6b9bb741ee2c04a107ddeac7">phenotype2Genotype</a>()=0</td><td class="entry"><a class="el" href="class_mapper.html">Mapper</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">pure virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_mapper.html#a96e07e87fa2f1f8174c0cc3baa22b965">setGenotype</a>(const Genotype &amp;)</td><td class="entry"><a class="el" href="class_mapper.html">Mapper</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_mapper.html#ab2620cb58f70ec87748439dfc1a8acf7">setGenotypeMaxCodonValue</a>(const CodonType)</td><td class="entry"><a class="el" href="class_mapper.html">Mapper</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_mapper.html#a32106eccb705a63719fafbe293f27f70">setPhenotype</a>(const Phenotype &amp;)</td><td class="entry"><a class="el" href="class_mapper.html">Mapper</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_mapper.html#a24b42bce1e3052a0009181ed283d1070">~Mapper</a>()</td><td class="entry"><a class="el" href="class_mapper.html">Mapper</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
</table></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
